Subject: Re: [PATCH net-next v2] net: phy: micrel: Add support for lan9645x internal phy

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 20 Feb 2026 21:10:59 +0000

On Fri, Feb 20, 2026 at 09:50:44PM +0100, Heiner Kallweit wrote:
> No, BMCR_RESET usually doesn't reset configuration registers. That's why the
> function is called genphy_*soft*_reset. In case your PHY behaves different,
> which configuration registers does it change?

I don't think your statement is correct.

Looking at AR8035 for example, the WoL interrupt enable is doumented as
being cleared on soft reset. Smart Speed configuration also gets reset.

802.3 22.2.4.1.1 states that setting 0.15 results in the status and
control registers shall be set to their default states.

So, we should not assume that setting 0.15 will retain configuration in
the PHY - at least phylib should not assume that a call to
genphy_soft_reset will not clear the configuration registers. If we
have code in phylib that makes that assumption, phylib is buggy to
802.3.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!